GNU Trove

## gnu.trove
Class TShortHashSet

    java.lang.Object
      gnu.trove.THash
          gnu.trove.TPrimitiveHash
              gnu.trove.TShortHash
                  gnu.trove.TShortHashSet

All Implemented Interfaces:
  TShortHashingStrategy, java.io.Externalizable, java.io.Serializable, java.lang.Cloneable

    public class TShortHashSet

extends TShortHash
implements java.io.Externalizable

An open addressed set implementation for short primitives.

Author:
  Eric D. Friedman, Rob Eden
See Also:
  Serialized Form

Field Summary

Fields inherited from class gnu.trove.TShortHash
`_hashingStrategy, _set`

Fields inherited from class gnu.trove.TPrimitiveHash
`_states, FREE, FULL, REMOVED`

Fields inherited from class gnu.trove.THash
`_autoCompactionFactor, _autoCompactRemovesRemaining, _free, _loadFactor, _maxSize, _size, DEFAULT_INITIAL_CAPACITY, DEFAULT_LOAD_FACTOR`

Constructor Summary
`TShortHashSet()` Creates a new `TShortHashSet` instance with the default capacity and load factor.
`TShortHashSet(int initialCapacity)` Creates a new `TShortHashSet` instance with a prime capacity equal to or greater than `initialCapacity` and with the default load factor.
`TShortHashSet(int initialCapacity, float loadFactor)` Creates a new `TShortHashSet` instance with a prime capacity equal to or greater than `initialCapacity` and with the specified load factor.
`TShortHashSet(int initialCapacity, float loadFactor, TShortHashingStrategy strategy)` Creates a new `TShortHash` instance with a prime value at or near the specified capacity and load factor.
`TShortHashSet(int initialCapacity, TShortHashingStrategy strategy)` Creates a new `TShortHash` instance whose capacity is the next highest prime above `initialCapacity + 1` unless that value is already prime.
`TShortHashSet(short[] array)` Creates a new `TShortHashSet` instance containing the elements of `array`.
`TShortHashSet(short[] array, TShortHashingStrategy strategy)` Creates a new `TShortHashSet` instance containing the elements of `array`.
`TShortHashSet(TShortHashingStrategy strategy)` Creates a new `TShortHash` instance with the default capacity and load factor.

Method Summary
`boolean` `add(short val)` Inserts a value into the set.
`boolean` `addAll(short[] array)` Adds all of the elements in `array` to the set.
`void` `clear()` Empties the set.
`boolean` `containsAll(short[] array)` Tests the set to determine if all of the elements in `array` are present.
`boolean` `equals(java.lang.Object other)` Compares this set with another set for equality of their stored entries.
`int` `hashCode()`
`TShortIterator` `iterator()`
`void` `readExternal(java.io.ObjectInput in)`
`protected void` `rehash(int newCapacity)` Expands the set to accommodate new values.
`boolean` `remove(short val)` Removes `val` from the set.
`boolean` `removeAll(short[] array)` Removes all of the elements in `array` from the set.
`boolean` `retainAll(short[] array)` Removes any values in the set which are not contained in `array`.
`short[]` `toArray()` Returns a new array containing the values in the set.
`void` `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class gnu.trove.TShortHash
`clone, computeHashCode, contains, forEach, index, insertionIndex, removeAt, setUp`

Methods inherited from class gnu.trove.TPrimitiveHash
`capacity`

Methods inherited from class gnu.trove.THash
`calculateGrownCapacity, compact, ensureCapacity, getAutoCompactionFactor, isEmpty, postInsertHook, reenableAutoCompaction, setAutoCompactionFactor, size, tempDisableAutoCompaction, trimToSize`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TShortHashSet

    public TShortHashSet()

  Creates a new `TShortHashSet` instance with the default capacity and load factor.

### TShortHashSet

    public TShortHashSet(int initialCapacity)

  Creates a new `TShortHashSet` instance with a prime capacity equal to or greater than `initialCapacity` and with the default load factor.

  Parameters:
    `initialCapacity` - an `int` value

### TShortHashSet

    public TShortHashSet(int initialCapacity,
                         float loadFactor)

  Creates a new `TShortHashSet` instance with a prime capacity equal to or greater than `initialCapacity` and with the specified load factor.

  Parameters:
    `initialCapacity` - an `int` value
    `loadFactor` - a `float` value

### TShortHashSet

    public TShortHashSet(short[] array)

  Creates a new `TShortHashSet` instance containing the elements of `array`.

  Parameters:
    `array` - an array of `short` primitives

### TShortHashSet

    public TShortHashSet(TShortHashingStrategy strategy)

  Creates a new `TShortHash` instance with the default capacity and load factor.

  Parameters:
    `strategy` - used to compute hash codes and to compare keys.

### TShortHashSet

    public TShortHashSet(int initialCapacity,
                         TShortHashingStrategy strategy)

  Creates a new `TShortHash` instance whose capacity is the next highest prime above `initialCapacity + 1` unless that value is already prime.

  Parameters:
    `initialCapacity` - an `int` value
    `strategy` - used to compute hash codes and to compare keys.

### TShortHashSet

    public TShortHashSet(int initialCapacity,
                         float loadFactor,
                         TShortHashingStrategy strategy)

  Creates a new `TShortHash` instance with a prime value at or near the specified capacity and load factor.

  Parameters:
    `initialCapacity` - used to find a prime capacity for the table.
    `loadFactor` - used to calculate the threshold over which rehashing takes place.
    `strategy` - used to compute hash codes and to compare keys.

### TShortHashSet

    public TShortHashSet(short[] array,
                         TShortHashingStrategy strategy)

  Creates a new `TShortHashSet` instance containing the elements of `array`.

  Parameters:
    `array` - an array of `short` primitives
    `strategy` - used to compute hash codes and to compare keys.

Method Detail

### iterator

    public TShortIterator iterator()

  Returns:
    a TShortIterator with access to the values in this set

### add

    public boolean add(short val)

  Inserts a value into the set.

  Parameters:
    `val` - an `short` value
  Returns:
    true if the set was modified by the add operation

### rehash

    protected void rehash(int newCapacity)

  Expands the set to accommodate new values.

  Specified by:
    `rehash` in class `THash`
  Parameters:
    `newCapacity` - an `int` value

### toArray

    public short[] toArray()

  Returns a new array containing the values in the set.

  Returns:
    an `short[]` value

### clear

    public void clear()

  Empties the set.

  Overrides:
    `clear` in class `THash`

### equals

    public boolean equals(java.lang.Object other)

  Compares this set with another set for equality of their stored entries.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - an `Object` value
  Returns:
    a `boolean` value

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### remove

    public boolean remove(short val)

  Removes `val` from the set.

  Parameters:
    `val` - an `short` value
  Returns:
    true if the set was modified by the remove operation.

### containsAll

    public boolean containsAll(short[] array)

  Tests the set to determine if all of the elements in `array` are present.

  Parameters:
    `array` - an `array` of short primitives.
  Returns:
    true if all elements were present in the set.

### addAll

    public boolean addAll(short[] array)

  Adds all of the elements in `array` to the set.

  Parameters:
    `array` - an `array` of short primitives.
  Returns:
    true if the set was modified by the add all operation.

### removeAll

    public boolean removeAll(short[] array)

  Removes all of the elements in `array` from the set.

  Parameters:
    `array` - an `array` of short primitives.
  Returns:
    true if the set was modified by the remove all operation.

### retainAll

    public boolean retainAll(short[] array)

  Removes any values in the set which are not contained in `array`.

  Parameters:
    `array` - an `array` of short primitives.
  Returns:
    true if the set was modified by the retain all operation

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `THash`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `THash`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.